lvl too low cross server instance

Discussion in 'Help and Support' started by mikeo183 [23206090], Apr 20, 2019.

  1. mikeo183

    mikeo183 New Member

    Joined:
    Dec 23, 2017
    Messages:
    14
    Likes Received:
    6
    Trophy Points:
    3
    wont allow me to use lvl 9&10 upgrades says lvl too low and wont even appear. Help?

    ty
    Tchalla
     
  2. Bejszi

    Bejszi Well-Known Member

    Joined:
    Oct 10, 2017
    Messages:
    909
    Likes Received:
    347
    Trophy Points:
    63
    Gender:
    Female
    If you have for example mount lvl 8, you can use max lvl 8 mount relics.
    If you have lvl 5 codex, you can use max. lvl 5 codes relics.
    Hope it helped.
     
    Dreadius Reborn likes this.
  3. Dreadius Reborn

    Dreadius Reborn Member Moderator

    Joined:
    Jan 10, 2019
    Messages:
    66
    Likes Received:
    18
    Trophy Points:
    8
    Bejszi is correct